package common.block;

import common.init.Items;
import common.item.CheatTab;
import common.item.Item;
import common.material.Material;
import common.model.Model;
import common.model.ModelProvider;
import common.rng.Random;
import common.world.State;

public class BlockBookshelf extends Block
{
    public BlockBookshelf()
    {
        super(Material.wood);
        this.setTab(CheatTab.tabDeco);
    }

    /**
     * Returns the quantity of items to drop on block destruction.
     */
    public int quantityDropped(Random random)
    {
        return 3;
    }

    /**
     * Get the Item that this Block should drop when harvested.
     */
    public Item getItemDropped(State state, Random rand, int fortune)
    {
        return Items.book;
    }
    
    public Model getModel(ModelProvider provider, String name, State state) {
    	return provider.getModel("bookshelf").add().nswe().du("oak_planks");
    }
}
